Bug 191798 - [PATCH] Update some eclipse plugins to versions needed for updated eclipse 4.3.2
[PATCH] Update some eclipse plugins to versions needed for updated eclipse 4.3.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Only Me
Assigned To: John Marino
:
Depends on: 188659 191766
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-10 23:37 UTC by Jimmy Kelley
Modified: 2014-07-18 08:33 UTC (History)
2 users (show)

See Also:


Attachments
patches for the eclipse plugins mentioned in this bug report (12.01 KB, patch)
2014-07-10 23:37 UTC, Jimmy Kelley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Kelley 2014-07-10 23:37:28 UTC
Created attachment 144566 [details]
patches for the eclipse plugins mentioned in this bug report

The java/eclipse-emf, java/eclipse-gef, java/eclipse-datatools, java/eclipse-webtools, java/eclipse-windowbuilder, devel/subversive and devel/scala-ide ports which use the Makefile.plugins in the java/eclipse port need to be updated to versions that work with the new eclipse port.
Comment 1 commit-hook freebsd_committer 2014-07-11 22:14:36 UTC
A commit references this bug:

Author: marino
Date: Fri Jul 11 22:14:19 UTC 2014
New revision: 361590
URL: http://svnweb.freebsd.org/changeset/ports/361590

Log:
  Update 8 plugins following upgrade to Eclipse 4.3.2

  The following plugins must be updated after upgrading Eclipse to
  version 4.3.2 because they don't currently work:

    * java/eclipse-datatools  (assign maintainership too)
    * java/eclipse-emf
    * java/eclipse-gef
    * java/eclipse-pydev
    * java/eclipse-webtools
    * java/eclipse-windowbuilder
    * devel/scala-ide
    * devel/subversive

  PR:		191798
  Submitted by:	Eclipse maintainer (Jimmy Kelly)

Changes:
  head/devel/scala-ide/Makefile
  head/devel/scala-ide/distinfo
  head/devel/subversive/Makefile
  head/devel/subversive/distinfo
  head/java/eclipse-datatools/Makefile
  head/java/eclipse-datatools/distinfo
  head/java/eclipse-emf/Makefile
  head/java/eclipse-emf/distinfo
  head/java/eclipse-gef/Makefile
  head/java/eclipse-gef/distinfo
  head/java/eclipse-pydev/Makefile
  head/java/eclipse-pydev/distinfo
  head/java/eclipse-webtools/Makefile
  head/java/eclipse-webtools/distinfo
  head/java/eclipse-windowbuilder/Makefile
  head/java/eclipse-windowbuilder/distinfo
Comment 2 John Marino freebsd_committer 2014-07-11 22:16:02 UTC
Thanks!
Comment 3 John Marino freebsd_committer 2014-07-15 06:38:54 UTC
Hi Jimmy, one change you made was busted out of the box:


https://jenkins.freebsd.org/pci/head-amd64/poudriere/data/headamd64-default/699/logs/errors/scala-ide-3.0.4.log
https://jenkins.freebsd.org/pci/head-i386/poudriere/data/headi386-default/699/logs/errors/scala-ide-3.0.4.log

fetch: http://download.scala-ide.org/sdk/helium/e38/scala211/stable/update-site.zip: size mismatch: expected 56083126, actual 56082853


Can you download the new version and compare it with the version you provided, just to make sure it's an innocent change and not malware added?

CC'ing maintainer (ale@) too.
Comment 4 John Marino freebsd_committer 2014-07-18 08:33:25 UTC
Since I didn't hear back from Jimmy, I verified the sha1 digest provided on the official site matches what downloads for scala-ide now and committed the fix.